org.apache.solr.client.solrj.io.stream.metrics

## Class Metric

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.metrics.Metric

All Implemented Interfaces:
  Serializable, Expressible

Direct Known Subclasses:
  CountMetric, MaxMetric, MeanMetric, MinMetric, SumMetric

    public abstract class Metric
    extends Object
    implements Serializable, Expressible

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Metric()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getFunctionName()`
`String` `getIdentifier()`
`abstract double` `getValue()`
`abstract Metric` `newInstance()`
`void` `setFunctionName(String functionName)`
`void` `setIdentifier(String... identifierParts)`
`void` `setIdentifier(String identifier)`
`abstract void` `update(Tuple tuple)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExpression`

### Constructor Detail

#### Metric

    public Metric()

### Method Detail

#### getFunctionName

    public String getFunctionName()

#### setFunctionName

    public void setFunctionName(String functionName)

#### getIdentifier

    public String getIdentifier()

#### setIdentifier

    public void setIdentifier(String identifier)

#### setIdentifier

    public void setIdentifier(String... identifierParts)

#### getValue

    public abstract double getValue()

#### update

    public abstract void update(Tuple tuple)

#### newInstance

    public abstract Metric newInstance()